[Security Announce] [ MDKSA-2007:168 ] - Updated vim packages fix vulnerability
Posted on: 08/22/2007 01:25 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2007:168
http://www.mandriva.com/security/
_______________________________________________________________________

Package : vim
Date : August 21, 2007
Affected: 2007.0, 2007.1, Corporate 4.0
_______________________________________________________________________

Problem Description:

A format string vulnerability in the helptags support in vim allows
user-assisted remote attackers to execute arbitrary code via format
string specifiers in a help-tags tag in a help file.

Updated packages have been patched to prevent this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2953
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2007.0:
4df32e9d14fec452d86a7c287e2c5a6b 2007.0/i586/vim-X11-7.0-16.2mdv2007.0.i586.rpm
e23ccd24386377b643be53e513a27a16 2007.0/i586/vim-common-7.0-16.2mdv2007.0.i586.rpm
8e3a12c770c364d4c2f93781a32c480a 2007.0/i586/vim-enhanced-7.0-16.2mdv2007.0.i586.rpm
892e4ce49c3ede2145a5588e1e2ef96a 2007.0/i586/vim-minimal-7.0-16.2mdv2007.0.i586.rpm
4312f54d280078742dc0edbd781cf9a9 2007.0/SRPMS/vim-7.0-16.2mdv2007.0.src.rpm

Mandriva Linux 2007.0/X86_64:
6c7f63287b2488e9f8a650719387953f 2007.0/x86_64/vim-X11-7.0-16.2mdv2007.0.x86_64.rpm
d77d8946bfa7b59c02e703dc33d93bdd 2007.0/x86_64/vim-common-7.0-16.2mdv2007.0.x86_64.rpm
8567e4977e444fb25bba9672a4e21f6e 2007.0/x86_64/vim-enhanced-7.0-16.2mdv2007.0.x86_64.rpm
05489f2fb7af81e0463edda47313a09a 2007.0/x86_64/vim-minimal-7.0-16.2mdv2007.0.x86_64.rpm
4312f54d280078742dc0edbd781cf9a9 2007.0/SRPMS/vim-7.0-16.2mdv2007.0.src.rpm

Mandriva Linux 2007.1:
49f6595dc0c234c5e6a74577a3c3e1b1 2007.1/i586/vim-X11-7.0-16.2mdv2007.1.i586.rpm
591861822c799ecd326b5bc033bb0675 2007.1/i586/vim-common-7.0-16.2mdv2007.1.i586.rpm
2674fa0b9a74bc83639674303b80aed6 2007.1/i586/vim-enhanced-7.0-16.2mdv2007.1.i586.rpm
eb42f52b13e87cebf68cab82241c2b8e 2007.1/i586/vim-minimal-7.0-16.2mdv2007.1.i586.rpm
f42b56d6c68b33111c6ac849ac4ea9fc 2007.1/SRPMS/vim-7.0-16.2mdv2007.1.src.rpm

Mandriva Linux 2007.1/X86_64:
e29b917280c5f713beece159ccab1a33 2007.1/x86_64/vim-X11-7.0-16.2mdv2007.1.x86_64.rpm
91f967b265bada8cbda25f4e5196e6d6 2007.1/x86_64/vim-common-7.0-16.2mdv2007.1.x86_64.rpm
2315edb118fb799109bf949cac578eb2 2007.1/x86_64/vim-enhanced-7.0-16.2mdv2007.1.x86_64.rpm
de69f95b501ab2f7343946c99fd5b3cb 2007.1/x86_64/vim-minimal-7.0-16.2mdv2007.1.x86_64.rpm
f42b56d6c68b33111c6ac849ac4ea9fc 2007.1/SRPMS/vim-7.0-16.2mdv2007.1.src.rpm

Corporate 4.0:
1f72bdb91cb922bd481a0807c02c6615 corporate/4.0/i586/vim-X11-6.3-21.1.20060mlcs4.i586.rpm
5019a421fff7c4128a4752583626a7bd corporate/4.0/i586/vim-common-6.3-21.1.20060mlcs4.i586.rpm
b388e4639bfa4d0fa55547da188a8bbf corporate/4.0/i586/vim-enhanced-6.3-21.1.20060mlcs4.i586.rpm
e2b9ac79021d5c0c26392cad7eca01bc corporate/4.0/i586/vim-minimal-6.3-21.1.20060mlcs4.i586.rpm
204cb63a13ae22882d85762a0c978491 corporate/4.0/SRPMS/vim-6.3-21.1.20060mlcs4.src.rpm

Corporate 4.0/X86_64:
ad146b31421a92d1d5ae9016aa19712e corporate/4.0/x86_64/vim-X11-6.3-21.1.20060mlcs4.x86_64.rpm
ee095f93cd613ec271bb59742b018ea5 corporate/4.0/x86_64/vim-common-6.3-21.1.20060mlcs4.x86_64.rpm
502c543d2328f21ba4718dde2fb5671c corporate/4.0/x86_64/vim-enhanced-6.3-21.1.20060mlcs4.x86_64.rpm
8784c5496b674036f75d55d296f7f1a8 corporate/4.0/x86_64/vim-minimal-6.3-21.1.20060mlcs4.x86_64.rpm
204cb63a13ae22882d85762a0c978491 corporate/4.0/SRPMS/vim-6.3-21.1.20060mlcs4.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGy1HqmqjQ0CJFipgRAsgoAKCmsZNKO+9ODnNuwfW27N1SnAgTPQCcCLox
owuoX864qEoDCfsz3s05F2Q=
=5Rmb
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2007168__updated_vim_packages_fix_vulnerability.html)